Subject: Re: LS_COLORS operational? and info information cygwin B-20
From: [email-masked] (Michael Hirmke)

15 Nov 1998 05:47:25 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hi Todd,

>Question:  Does the LS_COLORS environment variable work in NT/WIN95?  or is
>it only a Linux thing?  I have set it to just about everything imaginable to

It works at least on my German Windows NT 4 SP3 Server.

>no effect.  The only colorizing I get comes with the use of --colors with ls.
> I have been successful using the dircolors command as far as modifying the
>colors database, but that is all.  What are the values of LS_COLORS?
>'always', 'auto' and 'none'?

This is, what I use:

in .bashrc:
------------------------< snip snip snip >-----------------------------
eval `dircolors colours-for-ls.nt4`
alias ls="ls --color=tty -F -T 0"
------------------------< snip snip snip >-----------------------------

colours-for-ls.nt4:
------------------------< snip snip snip >-----------------------------
# Configuration file for the color ls utility

# COLOR needs one of these arguments: 'tty' colorizes output to ttys, but not
# pipes. 'all' adds color characters to all output. 'none' shuts colorization
# off.
COLOR tty

# Extra command line options for ls go here.
# Basically these ones are:
#  -F = show '/' for dirs, '*' for executables, etc.
#  -T 0 = don't trust tab spacing when formatting ls output.
OPTIONS -F -T 0

# Below, there should be one TERM entry for each termtype that is colorizable
TERM linux
TERM vt100
TERM win32
TERM xterm

# EIGHTBIT, followed by '1' for on, '0' for off. (8-bit output)
EIGHTBIT 1

# Below are the color init strings for the basic file types. A color init
# string consists of one or more of the following numeric codes:
# Attribute codes: 
# 00=none 01=bold 04=underscore 05=blink 07=reverse 08=concealed
# Text color codes:
# 30=black 31=red 32=green 33=yellow 34=blue 35=magenta 36=cyan 37=white
# Background color codes:
# 40=black 41=red 42=green 43=yellow 44=blue 45=magenta 46=cyan 47=white
NORMAL	00;47;30	# global default, although everything should be something.
FILE	00;47;30	# normal file
DIR		00;47;34 	# directory
LINK	00;47;35 	# symbolic link
FIFO	00;47;36	# pipe
SOCK	00;47;36	# socket
BLK		00;40;33	# block device driver
CHR		00;40;37	# character device driver

# This is for files with execute permission:
EXEC 00;47;31 

# List any file extensions like '.gz' or '.tar' that you would like ls
# to colorize below. Put the extension, a space, and the color init string.
# (and any comments you want to add after a '#')
..cmd 00;47;31 # executables (bright green)
..exe 00;47;31
..com 00;47;31
..btm 00;47;31
..bat 00;47;31
..tar 00;47;32 # archives or compressed (bright red)
..tgz 00;47;32
..arj 00;47;32
..taz 00;47;32
..lzh 00;47;32
..zip 00;47;32
..z   00;47;32
..Z   00;47;32
..gz  00;47;32
..jpg 01;47;37 # image formats
..gif 01;47;37
..bmp 01;47;37
..xbm 01;47;37
..xpm 01;47;37
..tif 01;47;37
------------------------< snip snip snip >-----------------------------

>
>Also does anyone know where I can get a version of info that runs in cygwin?
>
>Thanks...
>
>Todd Jones

Bye.
Michael.
--
Michael Hirmke           | Telefon +49 (911) 557999
Georg-Strobel-Strasse 81 | FAX     +49 (911) 557664
90489 Nuernberg          | E-Mail  mailto:[email-masked]
                         | WWW     http://aquarius.franken.de/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".